# NativeComponentSpec

@Incubating
interface NativeComponentSpec : ComponentSpec

Definition of a software component that is to be built by Gradle to run a on JVM platform.

#### Inheritors

NativeTestSuiteSpec
NativeLibrarySpec
NativeExecutableSpec
TargetedNativeComponent

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
The name that is used to construct the output file names when building this component.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
setBaseName
Link copied to clipboard
abstract fun setBaseName(baseName: String)
Sets the name that is used to construct the output file names when building this component.